{% extends "base.html" %}
{% load static %}

{% block headone %}
<title>Donavid</title>
<link rel="stylesheet" type="text/css" href="{% static 'css/homepage.css' %}">
<script src="{% static '/js/harapan.js'%}"></script>
{% endblock %}

{% block content %}
    <div class="atas"> 
        <div class="container padding-atas">
            <img class="logo_home" src="../static/img/logo.png" alt="">
            <p class="teks" style="color: white;">Pandemi COVID-19 telah membuat ratusan ribu bahkan jurtaan orang mengalami kerugian ekonomi. Dengan Donavid, masyarakat bisa menggalang dana untuk beragam hal yang dapat meringankan beban dari pandemi COVID-19 ini</p>
            
            <a href="/donasi-apd/" style="padding-bottom: 50px; " >
                <button type="submit" class="btn rounded-pill" style="background-color: #772E25; color: #ffffff;">Donasi APD</button>
            </a>
            <a href="/donasi-sosial/" style="padding-bottom: 50px; " >
                <button type="submit" class="btn rounded-pill" style="background-color: #772E25; color: #ffffff;">Donasi Sosial</button>
            </a>

            
        </div>
    </div>

    <div class="tengah">
        <h1 class="teks_judul">Ayo Menjadi Bagian Dari Donavid!</h1>
    </div>

    <div class="row content">
        <!-- FORMULIR DONASI -->
        <div class="col-md-6 order-2 order-md-1">
            <p class="teks2">Donavid adalah organisasi non-profit yang menggalang dana untuk membantu tenaga kesehatan membeli APD dan membeli bahan bantuan sosial.</p>
        </div>
        <!-- FOTO DONASI -->
        <div class="col-md-6 center order-1 order-md-2">
            <img class="fotoDetailDonasi" src='../static/img/gambar_tengah_home.png'>
        </div>
    </div>

    <div style="height: 50px;"></div>

    <div class="bawah">
        <h1 class="teks_judul">Ayo Berikan Harapanmu dalam Menghadapi Situasi Ini</h1>
    </div>

    <div class="untuk_form">
        <div class="bagian-text">
            <div class="row">
                {% for harapan in harapans %}
                <div class="col-md-4 mb-4">
                    <div class="card" style="height: 300px; margin-top: 20px; margin-left: 35px;">
                        <div class="card-body">
                            <div class="harapan-textfield"> 
                                <p style="padding-top: 30px;">{{ harapan.isi }}</p>
                            </div>
                            <div class="harapan-nama">
                                <p style="right: 100px; position: absolute;">-{{ harapan.nama }}</p>
                            </div>
                        </div>
                    </div>
                </div>
                {% endfor %}
            </div>
        </div>
        <div class="bagian-text">
            {%if user.is_authenticated%}
            <p class="judul-harapan">Mari Berharap</p>
            <!-- <form action="/harapan/" method="POST"> -->
                
                {% csrf_token %}
                <p>
                    <textarea name="isi" cols="40" rows="10" class="form-control" maxlength="100"
                        placeholder="Saya berharap kedepannya..." required="" id="id_isi"></textarea>
                </p>
                <p id="lettercount"></p>
                <div class="kananin">
                    <button class="btn rounded-pill btn-donasi" id="tombol-kirim">Kirim</button>
                </div>
            <!-- </form> -->
            {% else %}
        <p class="judul-harapan" style="font-size: 30px; color: black;"><a href="/login/">login</a> untuk berharap
            </p>
        {% endif %}
        </div>
    </div>

{% endblock %}
